Page MenuHomePhabricator

HP Gen9 onboard controller review
Closed, ResolvedPublic

Description

In recent reviews of quotes for HP systems, our Dasher team raised a potential issue of the onboard controller no longer being supported in anything but windows. They provided the following links:

Link to S100i SR SW RAID datasheet: https://h20195.www2.hpe.com/v2/getdocument.aspx?docname=a00019427enw

Link to P408i HW RAID datasheet: https://h20195.www2.hpe.com/v2/GetPDF.aspx/a00008203enw.pdf

They warn that the S100i won't be supported in debian. As such, I requested the above info so we can investigate.

Event Timeline

RobH triaged this task as High priority.Feb 14 2019, 7:48 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 7:48 PM
RobH added a comment.Feb 14 2019, 8:00 PM

netbox list of ALL DL360 Gen9 systems: https://netbox.wikimedia.org/dcim/devices/?device_type_id=54&per_page=250

So, checking older orders of the HP DL360 Gen9 example of aqs1004: https://netbox.wikimedia.org/dcim/devices/1301/

*-storage:0               
     description: SATA controller
     product: C610/X99 series chipset sSATA Controller [AHCI mode]
     vendor: Intel Corporation
     physical id: 11.4
     bus info: pci@0000:00:11.4
     version: 05
     width: 32 bits
     clock: 66MHz
     capabilities: storage msi pm ahci_1.0 bus_master cap_list
     configuration: driver=ahci latency=0
     resources: irq:52 ioport:20a0(size=8) ioport:20bc(size=4) ioport:2098(size=8) ioport:20b8(size=4) ioport:2040(size=32) memory:92c04000-92c047ff
*-storage:1
     description: SATA controller
     product: C610/X99 series chipset 6-Port SATA Controller [AHCI mode]
     vendor: Intel Corporation
     physical id: 1f.2
     bus info: pci@0000:00:1f.2
     version: 05
     width: 32 bits
     clock: 66MHz
     capabilities: storage msi pm ahci_1.0 bus_master cap_list
     configuration: driver=ahci latency=0
     resources: irq:53 ioport:2078(size=8) ioport:20ac(size=4) ioport:2070(size=8) ioport:20a8(size=4) ioport:2020(size=32) memory:92c00000-92c007ff

Then pulling the same info from another random dl360 gen9 cloudcontrol1004:

*-storage               
     description: SATA controller
     product: Wellsburg 6-Port SATA Controller [AHCI mode]
     vendor: Intel Corporation
     physical id: 1f.2
     bus info: pci@0000:00:1f.2
     version: 05
     width: 32 bits
     clock: 66MHz
     capabilities: storage msi pm ahci_1.0 bus_master cap_list
     configuration: driver=ahci latency=0
     resources: irq:53 ioport:2058(size=8) ioport:207c(size=4) ioport:2050(size=8) ioport:2078(size=4) ioport:2020(size=32) memory:92c00000-92c007ff

So both of those are 'onboard' controller that differ.

We haven't purchased a onboard DL360 in awhile, the most recent is labmon1002 in 2017-07-06 with the following controller:

robh@labmon1002:~$ sudo lshw -class storage
  *-storage               
       description: SATA controller
       product: Wellsburg 6-Port SATA Controller [AHCI mode]
       vendor: Intel Corporation
       physical id: 1f.2
       bus info: pci@0000:00:1f.2
       version: 05
       width: 32 bits
       clock: 66MHz
       capabilities: storage msi pm ahci_1.0 bus_master cap_list
       configuration: driver=ahci latency=0
       resources: irq:53 ioport:2058(size=8) ioport:207c(size=4) ioport:2050(size=8) ioport:2078(size=4) ioport:2020(size=32) memory:92c00000-92c007ff

Heh...HP decided to rename the tool and on the Gen10, @MoritzMuehlenhoff found it (T220572#5106204):

HPE renamed the tool, I installed "ssacli" and now "ssacli controller all show config" works fine.

I saw this task during clinic duty and I'm wondering what/if there's anything left to be done?

S100i SR SW RAID seems to be about some HP software offering for Windows to run a software RAID, but we of course use the Linux software RAID.

And for the P408i Gen10 hardware RAID we have the systems running that Manuel listed (they needed a more recent CLI tool, but that's resolved).

So, it seems to me this task is resolved?

RobH closed this task as Resolved.Nov 12 2019, 1:42 AM
RobH claimed this task.

agreed